Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws
Interface State

All Superinterfaces:
  Capability, Initialization, InitializationParameters, ManageabilityCapability, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties

All Known Implementing Classes:
  SimpleState

public interface State
extends ManageabilityCapability

This interface represents the WSDM State capability. It defines two properties, muws2:State and muws2:StateTransition, which are the resource's current state and the record of its last state change, respectively.
Unlike OperationalStatus, which provides an enumeration of status values, the state types are not standard - the implementation must define them using XML Schema and the StateType interface.

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName[]` | `PROPERTIES`

Method Summary
`StateType` | `getState()`
`StateTransition` | `getStateTransition()`
`void` | `setState(StateType state)`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getPropertyNames, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Field Detail

### PROPERTIES

    public static final QName[] PROPERTIES

Method Detail

### getState

    public StateType getState()
                       throws BaseFault

  Returns:
    The current state of the owning resource; state types may have subtypes, and these values should be considered when evaluating the state.
  Throws:
    `BaseFault`

### getStateTransition

    public StateTransition getStateTransition()
                                       throws BaseFault

  Returns:
    The record of the last state change experienced by the owning resource.
  Throws:
    `BaseFault`

### setState

    public void setState(StateType state)
                  throws BaseFault

  Parameters:
    `state` - The current state of the owning resource; this state may have subtypes. Changing the State will alter the muws2:StateTransition property as well.
  Throws:
    `BaseFault` -
    - If the state type is not a valid value (as specified in the resource's RMD).
    - If the proposed state-to-state transition is not allowed.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD